curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}/profile_data/{job_profile_data_external_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}/profile_data/{job_profile_data_external_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}/profile_data/{job_profile_data_external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"data_type": "job_description",
"timestamp": "2025-05-02",
"source": "Workday",
"data": {
"job_description": "Backend developers have experience in writing code for the backend of a web application. They are responsible for the server-side logic of a web application."
}
}[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "404 Not Found",
"description": "Unknown external_id describing this resource. Please create this resource first."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Get Job Profile Data
Get a single Job Profile Data item for a Job.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique ID linked to a Job, consisting of alphanumeric characters, hyphens and underscores. The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Unique ID linked to a Job Profile Data, consisting of alphanumeric characters, hyphens and underscores. The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Response
OK
Default structure for Job Profile Data.
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Type of the Job Profile Data.
job_description, job_title, vacancy, skill_notes, skill_profile_feedback "job_description"
The completion date (in IS08601 format) of the Skill Event. From this point on, the Job Profile is considered to have the Skills of this Event.
"2025-05-02"
The source of the Job Profile Data.
1 - 255"Workday"
The content of the Job Profile Data. The content should align with the data_type.
- job_description_content
- job_description_file_content
- job_title_content
- vacancy_content
- skill_notes
- skill_profile_feedback
Show child attributes
Show child attributes
Was this page helpful?